Order Management API (1.0)

The Order Management API is a simple API that allows you to search for orders or update the status of an order

Common Authorization Parameters

Each request is authorized using username and password fields passed either as query parameters (for GET/POST operations) or part of the application/x-www-form-urlencoded body (for POST operations).

Error Codes

Each response contains a response_status field containing the following error codes.

Code Severity Description
10001 SUCCESS
30001 ERROR Authentication failed
31000 ERROR API not enabled on your site
40004 WARNING Product ID Not Found
50002 ERROR No conditions specified
50003 ERROR Condition N 'field' is missing
50003 ERROR Condition N 'condition' is missing
50003 ERROR date1 is invalid
50003 ERROR date2 is invalid
50004 ERROR Invalid limit or offset
50005 ERROR Invalid request parameters
20001 ERROR Unable to find order

Order Search

Retrieve a list of orders based upon your search parameters. The maximum number of rows returned is 100. Use the returned "total" value to determine if you need to paginate using the offset parameter.
You can specify multiple conditions in which case the conditions will be joined with a logical 'AND'.
To use multiple conditions you will need to pass the parameters using the multi condition parameter format:

conditions[n][parameter name]

where n starts at 1 and "parameter name" is the name of the parameter as below.

Request Body schema: application/x-www-form-urlencoded
field
required
integer

The Field the condition is tested against.
Multi condition parameter format: conditions[n][field]

Values

  • 1: Date Ordered
  • 2: Date Production Files Ready
  • 3: Invoice Number
  • 4: Order Status
  • 5: Date Due
  • 6: Date Shipped
  • 7: Date Invoiced
  • 8: Date Modified
condition
required
integer

The logical test to use.
Multi condition parameter name: conditions[n][condition]

Values

  • 1: ==
  • 2: !=
  • 3: <
  • 4: >
  • 5: <=
  • 6: >=
  • 7: Between
date1
string

The date to test against (Required when field is Date Ordered or Date Production Files Ready).
The date is in ISO-8601 format, UTC timezone (YYYY-MM-DDTHH:MM:SS).
Multi condition parameter name: conditions[n][date1]

date2
string

The end date to test against (Required when field is Date Ordered or Date Production Files Ready and condition is 7: Between).
The date is in ISO-8601 format, UTC timezone (YYYY-MM-DDTHH:MM:SS).
Multi condition parameter name: conditions[n][date2]

string
string

The string to test against (Required when field is Invoice Number). Multi condition parameter name: conditions[n][string]

limit
integer [ 0 .. 100 ]
Default: 100

Limit the number of results returned. The maximum limit is 100

offset
integer
Default: 0

Offset of the results to allow pagination

sortby
integer
Default: 2

What field to sort the results by
Values

  • 1: Date Ordered
  • 2: Date Production Files Ready
  • 3: Invoice Number
  • 4: Order Status
  • 5: Date Due
  • 6: Date Shipped
  • 7: Date Invoiced
  • 8: Date Modified
include_workflow_data
integer
Default: 0

Include workflow information used to track items going through the production workflow. Set to 1 to include workflow information.

include_po_data
integer
Default: 0

Include purchase order information associated with the above workflow information. This will make workflow information be included.Set to 1 to include purchase order information.

include_shipments
integer
Default: 0

Include shipment information. Set to 1 to include shipment information.

include_production_file_info
integer
Default: 0

Include production file information. Set to 1 to include information about the format and offsets/cropping of the production files.

skip_login_token
integer
Default: 0

Don't add the user login token to document download urls. Set to 1 to not add the user login token. The user's password can be added to the download document url instead of the token.

Responses

Response Schema: application/json
object (ResponseStatus)
code
required
number

the status code

severity
required
string
Enum: "SUCCESS" "ERROR"

either SUCCESS or ERROR

description
string

A description of the error. Blank when SUCCESS

Array of objects (Order)
Array
order_id
required
string

The invoice Id

item_amount
required
number

The total of the line items

shipping_amount
required
number

The total of the shipping

tax_amount_before_discounts
required
number

The total of the tax prior to any discounts

tax_amount
required
number

The total of the tax

tax_names
string

The names of the taxes applied to the order

Array of objects (Tax)

List of taxes for this order with the amounts.

Array
id
required
number

The id of the tax

name
required
string

The name of the tax

amount
required
number

The amount of tax charged

discount_amount
required
number

The total discount given directly against the order

coupon_discount_amount
required
number

The discount a coupon has given to the order

coupon_code
string

The coupon code used when ordering

gift_certificate_amount
required
number

The amount paid by a gift certificate

gift_certificate_code
string

The gift certificate code used when ordering. Comma separated if more than one gift certificate used.

credit_used
required
number

The amount paid by users credit

billable_amount
required
number

The amount billable to the user after discounts, coupons and gift certificates

outstanding_balance
required
number

The unpaid amount of the order

total_weight
number

The total weight of the order

quote_pdf_url
required
string

A URL to download the quote/invoice pdf

production_pdf_url
required
string

A URL to download the production file pdf

order_proof_pdf_url
required
string

A URL to download the order proof pdf

job_name
string

An optional name for the order

customer_id
required
number

Id of customer

customer_po_number
string

An optional customer PO number for the order

source_type
required
number

How the order was created: 0 = internet: new order, 1 = internet: quote request, 2 = business hub: new order, 3 = business hub: new quote, 4 = internet: copied order, 5 = business hub: copied order, 7 = business hub: copied quote, 8 = internet: external integration, 9 = internet: shopify order

order_type
required
number

The order type 0 = internet order, 2 = quote, 3 = business hub order

order_status
required
number

The order status 1 = ready for production, 2 = ready for shipping, 3 = shipped, 4 = cancelled, 6 = deleted, 7 = on hold, 8 = awaiting purchase order, 9 = awaiting stock, 10 = awaiting artwork

payment_status
integer

The order payment status 1 = in draft, 2 = saved, 3 = awaiting payment, 4 = in production, 5 = paid in full, 8 = payment unconfirmed, 9 = balance outstanding, 10 = deposit unconfirmed, 11 = refund required

on_hold_reason
integer

The reason the order is on hold 10 = quote, 20 = outstanding balance, 40 = campaign, 45 = error, 50 = by operator, 60 = batch auto, 61 = batch manual, 62 = cancellation requested

date_started
required
string

The date/time (ISO-8601 format, UTC timezone) the order was started

date_ordered
required
string

The date/time (ISO-8601 format, UTC timezone) the order was ordered

date_production_files_ready
string

The date/time (ISO-8601 format, UTC timezone) the order production files were ready for download

date_produced
string

The date/time (ISO-8601 format, UTC timezone) the order was marked as produced

date_shipped
string

The date/time (ISO-8601 format, UTC timezone) the order was marked as shipped

date_invoiced
string

The date/time (ISO-8601 format, UTC timezone) the order was marked as invoiced

date_modified
string

The date/time (ISO-8601 format, UTC timezone) the order was last modified

date_due
required
string

The due date (ISO-8601 date format) for the order

date_scheduled
string

The date/time (ISO-8601 format, UTC timezone) the order was scheduled to be produced

rush_order_fee
string

The rush order fee name applied against the order

rush_order_fee_amount
number

The rush order fee amount applied against the order

account_terms
required
string

The terms and conditions applied against the order

required
object (ShippingMethod)
id
required
number

Id of shipping method

name
required
string

Name of shipping method

Array of objects (Shipment)

An array of shipments if include shipments parameter is '1'

Array
id
required
number

The id of the shipment

date
string

The date/time (ISO-8601 format, UTC timezone) the order was shipment was sent

tracking_number
string

The tracking number of the shipment

required
object (ShippingMethod)
id
required
number

Id of shipping method

name
required
string

Name of shipping method

Array of objects (ShipmentPackage)

The packages sent in this shipment

Array
id
required
number

The id of the ShipmentPackage

weight
required
number

The weight of the package

length
required
number

The length of the package

width
required
number

The width of the package

height
required
number

The height of the package

Array of objects (ShipmentWorkflowItem)

The workflow items included in the package if include workflow data parameter is set to 1

Array
workflow_item_id
required
number

The id of the workflow item

qty
required
number

The qty shipped

required
object (User)
user_id
required
integer

Id of user

email
string

Email address of user

firstname
string

First name of user

lastname
string

Last name of user

country_code
string

2 letter country code

state
string

Name of state

city
string

Name of city

street
string

Name of street

postcode
string

zip/post code

company
string

Company name

company_id
integer

Id of company

salutation
string
ph_number
string

Phone number

Array of objects (CustomField)

An array of custom fields

Array
caption
required
string

The caption of the field

value
string

The value of the field

object (ShippingInfo)

Only added if shipping details are different to billing details

firstname
string

First name of user

lastname
string

Last name of user

country_code
string

2 letter country code

state
string

Name of state

city
string

Name of city

street
string

Name of street

postcode
string

zip/post code

company
string

company name

salutation
string
ph_number
string

Phone number

Array of objects (CustomField)

An array of custom fields

Array
caption
required
string

The caption of the field

value
string

The value of the field

required
object (PaymentInfo)
payment_type_id
required
number

The id of the type of payment. 0 = credit card, -1 = Paypal Express, -2 = COD, -3 = Gift Certificate, -5 = Account, -6 = Credit, -8 = System, >0 = Manual Payment Method

payment_type_name
required
string

The name of the type of payment

card_number
string

If credit card is used, the last 4 digits.

Array of objects (Payment)

An array of payments

Array
id
required
number

Id of this payment against the order.

payment_id
number

Id of the payment. If a payment is made against multiple orders the payment_id will be the same for each order.

date_paid
required
string

The date/time (ISO-8601 format, UTC timezone) the payment was paid

payment_method
required
string

The name of the payment method used

code
string

gateway/cod/gift_certificate/store_credit/account/system/fallback/no_method_recorded or a custom defined method: custom_[ID]

driver_code
string

the code of the gateway driver

driver_sub_code
string

Used by DecoPay to identify the payment method used (i.e afterpay/affirm/bank_transfer)

billable_amount
required
number

The amount billable

refunded_amount
required
number
Default: 0

The amount refunded

paid_amount
required
number

The amount paid

Array of objects (Refund)

An array of refunds

Array
id
required
number

Refund Id

date_refunded
required
string

The date/time (ISO-8601 format, UTC timezone) of the refund

refunded_amount
required
number

The amount refunded

required
Array of objects (OrderLine)

An array of order lines

Array
id
required
number

Order Line Id

item_type
required
number

The item type code of the OrderLine. '0=Product, 10=Gift Certificate, 11=Digitization, 12=Extra Charge, 13=Screen Setup, 16=Artwork, 25=Free Form, 26=Divider, 30=Credit'

product_id
required
number

Id of the product

product_code
string

Product code of the product

product_name
string

Name of blank product

decorated_product_name
string

Name of predecorated product (if a predecorated product)

object (ProductColor)
id
required
number

The id of the product color

name
required
string

The name of the product color

Array of objects (ColorSpec)

The definition of the product colors

Array
id
required
number

The id of the color

type
required
string

The type of color rgb/cmyk

r
number
g
number
b
number
c
number
m
number
y
number
k
number
name
string

When a spot color

sku
required
string

The SKU code of the blank product ordered

Array of objects (Field)

An array of fields (including size)

Array
field_id
required
number

The id of the field

field_name
required
string

The name of the field

field_type
required
number

The type of field. 0 = size, 2 = dropdown list, 3 = checkboxes, 4 = radio buttons, 5 = multi select list, 7 = textbox, 8 = text area, 9 = file, 10 = image, 11 = date, 12 = datetime, 13 = time

Array of objects (Option)
Array
option_id
required
number

The id of the option

qty
number

The qty chosen when the field is a size and multiple sizes are chosen

name
required
string

The option label

code
required
string

The option value

sku
string

The sku when the field is a size

dn_sku_id
string

The deconetwork id of the sku

vendor_sku
string

The vendor's sku when the field is a size

price
number

The blank price of this product when the field is a size (before price rounding). The price will not appear if there are sub options.

cost
number

The blank cost of this product when the field is a size. The cost will not appear if there are sub options.

Array of objects (SubOption)

The chosen sub options if the field has sub options

Array
sub_option_id
required
number

The id of the sub option

qty
number

The qty chosen when the field is a size and multiple sizes are chosen

name
required
string

The option label

code
required
string

The option value

sku
string

The sku when the field is a size

dn_sku_id
string

The deconetwork id of the sku

vendor_sku
string

The vendor's sku when the field is a size

price
number

The blank price of this product when the field is a size (before price rounding)

cost
number

The blank cost of this product when the field is a size

string_value
string

The entered string value when field type is 7 or 8

date_value
string

The entered date (ISO-8601 date format) when field type is 11, 12 or 13

file_value_url
string

A url to download the upload file when field type is 9 or 10

Array of objects (View)

An array of views decorated

Array
view_id
required
number

The id of the view

view_name
required
string

The name of the view

thumbnail
string

A url to download the thumbnail of the view

Array of objects (Area)

An array of area object for decorated areas

Array
area_id
required
number

The id of the area

area_name
required
string

The name of the area

Array of objects (AreaProcess)

An array of processes used to decorate this view

Array
process
required
string

The process

production_file_url
string

A url to download the production file

edit_file_url
string

A url to download the editable file

source_file_url
string

A url to download the source file

stitch_count
number

The stitch count when the process is WEMB

cropped
boolean
Default: false

true if the production file is cropped (only included if include_production_file_info == 1)

top
string

The top offset of the production file (only included if include_production_file_info == 1 and the production file is cropped)

left
string

The left offset of the production file (only included if include_production_file_info == 1 and the production file is cropped)

width
string

The width the production file (only included if include_production_file_info == 1)

height
string

The height the production file (only included if include_production_file_info == 1)

format
string

The format the production file (only included if include_production_file_info == 1)

proof_url
string

A url to download a proof of the area

production_files_ready
required
boolean
Default: true

true if production files ready to download for this view

Array of objects (Teamname)

An array of team names

Array
size
required
string
required
Array of objects (TeamnameField)

An array of fields used for this teamname

Array
location
required
string
text
required
string
qty
required
number

The number of products ordered for this line item

total_price
required
number

The total of the line item

unit_price
required
number

The unit price

decoration_unit_price
number

The decoration component of the unit price

discount
required
number

The discount (bulk or overrriden) applied to the line item

tax
required
number

The tax applied the the line item

tax_names
string

The names of the taxes applied to the line item

store_commission
required
number

The store commission given for this line item

parent_store_commission
required
number

The store commission given to parent store(s) for this line item

commission_transaction_fee
required
number

The commission transaction fee applied

production_status
required
number

production status 1 = ready for production, 2 = ready for shipping, 3 = shipped, 7 = on hold, 8 = awaiting purchase order, 9 = awaiting stock, 10 = awaiting artwork

processed_date
string

The date/time (ISO-8601 format, UTC timezone) the order was marked as produced

object (Operator)
id
required
number

The user id of the operator

login
required
string
firstname
string
lastname
string
object (Operator)
id
required
number

The user id of the operator

login
required
string
firstname
string
lastname
string
shipped_date
string

The date/time (ISO-8601 format, UTC timezone) the order was marked as shipped

object (Operator)
id
required
number

The user id of the operator

login
required
string
firstname
string
lastname
string
length
number

The unit length

width
number

The unit width

height
number

The unit height

unit_weight
number

The unit weight

Array of objects (WorkflowItem)

Production workflow information that is included if include workflow data parameter is set to 1

Array
id
required
number

The id of the workflow item

option_id
number

The id of the option

sub_option_id
number

The id of the sub option

vendor_sku
string

The vendor's sku when the field is a size

dn_sku_id
string

The deconetwork id of the sku

qty_to_fulfill
required
number

Matches the qty on the customer order for this SKU

qty_required
required
number

qty to fulfill + any wasted qty (so will initially be equal to qty to fulfill)

qty_allocated
required
number

No. of units actually allocated to this workflow item. Max == qty required

qty_on_order
required
number

No of units on order. Max (qty on order + qty allocated) == qty required

qty_produced
required
number

No of units successfully produced. Max == qty to fulfill

qty_wasted
required
number

No of units unsuccessfully produced/shipped (doesn't achieve QC, destroyed, etc). Max (qty produced + qty wasted) == qty required

qty_shipped
required
number

No of units shipped. Item considered 'shipped' when qty shipped == qty to fulfill

qty_skip_po
required
number

No of units not using purchase orders

qty_skip_inv
required
number

No of units not using purchase orders which were allocated from inventory

procurement_status
required
number

20=AWAITING-STOCK, 40=PARTIALLY-RECEIVED, 60=RECEIVED

production_status
required
number

20=ON-HOLD, 40=AWAITING-PRODUCTION, 60=PARTIALLY-PRODUCED, 80=PRODUCED

shipping_status
required
number

20=ON-HOLD, 40=NONE-SHIPPED, 60=PARTIALLY-SHIPPED, 80=SHIPPED

Array of objects (WorkflowPurchaseOrderLine)
Array
po_line_id
required
number

The id of the purchase order line (will match PurchaseOrderLine.id from purchase order api)

po_number
required
string

The Purchase Order number (will match PurchaseOrder.po number from purchase order api)

qty_ordered
required
number

The qty ordered

qty_received
required
number

The qty received

Array of objects (Note)

An array of order notes

Array
note_type
required
string

The type of the note

content
required
string

The content of the note

created_at
required
string

The date/time (ISO-8601 format, UTC timezone) the note was created

required
object (User)
user_id
required
integer

Id of user

email
string

Email address of user

firstname
string

First name of user

lastname
string

Last name of user

country_code
string

2 letter country code

state
string

Name of state

city
string

Name of city

street
string

Name of street

postcode
string

zip/post code

company
string

Company name

company_id
integer

Id of company

salutation
string
ph_number
string

Phone number

Array of objects (CustomField)

An array of custom fields

Array
caption
required
string

The caption of the field

value
string

The value of the field

order_line_id
number

The line item id the note is attached to, if the note was added against a specific line item rather than the whole order

Array of objects
Array
id
number
name
string
url
string
object (Operator)
id
required
number

The user id of the operator

login
required
string
firstname
string
lastname
string
object (Operator)
id
required
number

The user id of the operator

login
required
string
firstname
string
lastname
string
is_priority
boolean

True if order is a priority order

required
object (Store)
id
required
number

The id of the store

name
required
string

The name of the store

domain
required
string

The primary domain of the store

required
object (User)
user_id
required
integer

Id of user

email
string

Email address of user

firstname
string

First name of user

lastname
string

Last name of user

country_code
string

2 letter country code

state
string

Name of state

city
string

Name of city

street
string

Name of street

postcode
string

zip/post code

company
string

Company name

company_id
integer

Id of company

salutation
string
ph_number
string

Phone number

Array of objects (CustomField)

An array of custom fields

Array
caption
required
string

The caption of the field

value
string

The value of the field

object (StoreGroup)
id
required
number

The id of the store group

name
required
string

The name of the store group

total
number

Total number of orders found

Request samples

Content type
application/x-www-form-urlencoded
field=2&condition=4&date1=2018-02-01T00%3A00%3A00

Response samples

Content type
application/json
{
  • "response_status": {
    • "code": 10001,
    • "severity": "SUCCESS",
    • "description": "string"
    },
  • "orders": [
    • {
      • "order_id": "INV1234",
      • "item_amount": 22.5,
      • "shipping_amount": 10.2,
      • "tax_amount_before_discounts": 6.5,
      • "tax_amount": 5.5,
      • "tax_names": "Tax name",
      • "taxes": [
        • {
          • "id": 6345,
          • "name": "GST",
          • "amount": 12.65
          }
        ],
      • "discount_amount": 0,
      • "coupon_discount_amount": 2.2,
      • "coupon_code": "ABC123",
      • "gift_certificate_amount": 20.2,
      • "gift_certificate_code": "C600-5A05-E2F8-D8A6",
      • "credit_used": 5,
      • "billable_amount": 12,
      • "outstanding_balance": 4.5,
      • "total_weight": 2.8,
      • "job_name": "Internet Order",
      • "customer_id": 2678321,
      • "customer_po_number": "PO123",
      • "source_type": 0,
      • "order_status": 1,
      • "payment_status": 3,
      • "on_hold_reason": 20,
      • "date_started": "2016-02-01T00:00:00",
      • "date_ordered": "2016-02-01T00:00:00",
      • "date_production_files_ready": "2016-02-01T00:00:00",
      • "date_produced": "2016-02-01T00:00:00",
      • "date_shipped": "2016-02-01T00:00:00",
      • "date_invoiced": "2016-02-01T00:00:00",
      • "date_modified": "2016-02-01T00:00:00",
      • "date_due": "2016-02-15T00:00:00",
      • "date_scheduled": "2016-02-01T00:00:00",
      • "rush_order_fee": "Rush Order Fee",
      • "rush_order_fee_amount": 5,
      • "account_terms": "C.O.D",
      • "shipping_method": {
        • "id": 34857623,
        • "name": "Overnight"
        },
      • "shipments": [
        • {
          • "id": 45334,
          • "date": "2016-02-01T00:00:00",
          • "tracking_number": "TRK5363",
          • "shipping_method": {
            • "id": 34857623,
            • "name": "Overnight"
            },
          • "packages": [
            • {
              • "id": 6345,
              • "weight": 224,
              • "length": 10,
              • "width": 3,
              • "height": 0.6
              }
            ],
          • "workflow_items": [
            • {
              • "workflow_item_id": 5463456,
              • "qty": 24
              }
            ]
          }
        ],
      • "billing_details": {
        • "user_id": 2143423,
        • "email": "fred@acme.co",
        • "firstname": "Fred",
        • "lastname": "Smith",
        • "country_code": "US",
        • "state": "California",
        • "city": "Huntington Beach",
        • "street": "219 Cimmaron Road",
        • "postcode": "92647",
        • "company": "Acme Co",
        • "company_id": 5423,
        • "salutation": "Mr",
        • "ph_number": "714-596-6776",
        • "custom_fields": [
          • {
            • "caption": "Student Name",
            • "value": "James"
            }
          ]
        },
      • "shipping_details": {
        • "email": "patrick@acme.co",
        • "firstname": "Patrick",
        • "lastname": "Smith",
        • "country_code": "US",
        • "state": "California",
        • "city": "Huntington Beach",
        • "street": "219 Cimmaron Road",
        • "postcode": "92647",
        • "company": "Acme Co",
        • "salutation": "Mr",
        • "ph_number": "714-596-6776",
        • "custom_fields": [
          • {
            • "caption": "Student Name",
            • "value": "James"
            }
          ]
        },
      • "payment_details": {
        • "payment_type_id": 0,
        • "payment_type_name": "Credit Card",
        • "card_number": "*********1234"
        },
      • "payments": [
        • {
          • "id": 2483456,
          • "payment_id": 234234,
          • "date_paid": "2016-02-03T00:00:00",
          • "payment_method": "Credit Card",
          • "billable_amount": 22.5,
          • "refunded_amount": 0,
          • "paid_amount": 22.5
          }
        ],
      • "refunds": [
        • {
          • "id": 2958662,
          • "date_refunded": "2016-02-03T00:00:00",
          • "refunded_amount": 0
          }
        ],
      • "order_lines": [
        • {
          • "id": 345554635463,
          • "item_type": 0,
          • "product_id": 2353534534,
          • "product_code": "G2000",
          • "product_name": "Gilden 2000",
          • "decorated_product_name": "Racing Special Shirt",
          • "product_color": {
            • "id": 35345,
            • "name": "White",
            • "colors": [
              • {
                • "id": 35345,
                • "type": "rgb",
                • "r": 0,
                • "g": 0,
                • "b": 0,
                • "c": 0,
                • "m": 0,
                • "y": 0,
                • "k": 0,
                • "name": "cyan"
                }
              ]
            },
          • "sku": "ACC234523",
          • "fields": [
            • {
              • "field_id": 35345,
              • "field_name": "Size",
              • "field_type": 0,
              • "options": [
                • {
                  • "option_id": 35345,
                  • "qty": 2,
                  • "name": "Large",
                  • "code": "L",
                  • "sku": "AAA234234",
                  • "dn_sku_id": "123423513",
                  • "vendor_sku": "AAA234234",
                  • "sub_options": [
                    • {
                      • "sub_option_id": 76589,
                      • "qty": 2,
                      • "name": "Long",
                      • "code": "L",
                      • "sku": "AAA567567",
                      • "dn_sku_id": "123234-423513",
                      • "vendor_sku": "AAA567567",
                      • "price": 20,
                      • "cost": 10
                      }
                    ]
                  }
                ],
              • "string_value": "ABC",
              • "date_value": "2016-02-01T00:00:00",
              • "file_value_url": "/configured_product_field/s/213/2323/123/file.pdf"
              }
            ],
          • "views": [],
          • "teamnames": [
            • {
              • "size": "M",
              • "fields": [
                • {
                  • "location": "Front-Body",
                  • "text": "David"
                  }
                ]
              },
            • {
              • "size": "XL",
              • "fields": [
                • {
                  • "location": "Front-Body",
                  • "text": "John"
                  }
                ]
              }
            ],
          • "qty": 5,
          • "total_price": 150.5,
          • "unit_price": 30.15,
          • "decoration_unit_price": 5.15,
          • "discount": 0,
          • "tax": 10.5,
          • "tax_names": "Tax name",
          • "store_commission": 3.25,
          • "parent_store_commission": 0.25,
          • "commission_transaction_fee": 0.65,
          • "production_status": 2,
          • "processed_date": "2016-02-01T00:00:00",
          • "processed_by": {
            • "id": 735345,
            • "login": "Rob123",
            • "firstname": "Robert",
            • "lastname": "Smith"
            },
          • "production_assigned_to": {
            • "id": 735345,
            • "login": "Rob123",
            • "firstname": "Robert",
            • "lastname": "Smith"
            },
          • "shipped_date": "2016-02-01T00:00:00",
          • "shipped_by": {
            • "id": 735345,
            • "login": "Rob123",
            • "firstname": "Robert",
            • "lastname": "Smith"
            },
          • "length": 6,
          • "width": 5,
          • "height": 1.25,
          • "unit_weight": 0.56,
          • "workflow_items": [
            • {
              • "id": 5463456,
              • "option_id": 35345,
              • "sub_option_id": 12543,
              • "vendor_sku": "AAA234234",
              • "dn_sku_id": "123234-423513",
              • "qty_to_fulfill": 3,
              • "qty_required": 4,
              • "qty_allocated": 4,
              • "qty_on_order": 4,
              • "qty_produced": 4,
              • "qty_wasted": 1,
              • "qty_shipped": 3,
              • "qty_skip_po": 0,
              • "qty_skip_inv": 0,
              • "procurement_status": 60,
              • "production_status": 80,
              • "shipping_status": 80,
              • "purchase_order_lines": [
                • {
                  • "po_line_id": 9633543,
                  • "po_number": "PO-3452",
                  • "qty_ordered": 2,
                  • "qty_received": 1
                  }
                ]
              }
            ]
          }
        ],
      • "notes": [
        • {
          • "note_type": "to customer",
          • "content": "Please hurry",
          • "created_at": "2016-02-01T00:00:00",
          • "from": {
            • "user_id": 2143423,
            • "email": "fred@acme.co",
            • "firstname": "Fred",
            • "lastname": "Smith",
            • "country_code": "US",
            • "state": "California",
            • "city": "Huntington Beach",
            • "street": "219 Cimmaron Road",
            • "postcode": "92647",
            • "company": "Acme Co",
            • "company_id": 5423,
            • "salutation": "Mr",
            • "ph_number": "714-596-6776",
            • "custom_fields": [
              • {
                • "caption": "Student Name",
                • "value": "James"
                }
              ]
            }
          }
        ],
      • "assigned_to": {
        • "id": 735345,
        • "login": "Rob123",
        • "firstname": "Robert",
        • "lastname": "Smith"
        },
      • "created_by": {
        • "id": 735345,
        • "login": "Rob123",
        • "firstname": "Robert",
        • "lastname": "Smith"
        },
      • "is_priority": false,
      • "store": {
        • "id": 11424233,
        • "name": "Dave's Store",
        • "domain": "www.daves-store.com",
        • "owner": {
          • "user_id": 2143423,
          • "email": "fred@acme.co",
          • "firstname": "Fred",
          • "lastname": "Smith",
          • "country_code": "US",
          • "state": "California",
          • "city": "Huntington Beach",
          • "street": "219 Cimmaron Road",
          • "postcode": "92647",
          • "company": "Acme Co",
          • "company_id": 5423,
          • "salutation": "Mr",
          • "ph_number": "714-596-6776",
          • "custom_fields": [
            • {
              • "caption": "Student Name",
              • "value": "James"
              }
            ]
          }
        },
      • "store_group": {
        • "id": 11424233,
        • "name": "School Stores"
        }
      }
    ],
  • "total": 1
}

Update Order Status

Update the status of an order and line items. Multiple orders and line items can be specified in one request using the "multi change format":

changes[n][parameter name] 

where "n" starts at 1, and "parameter name" is the name of the parameter as below.

Request Body schema: application/x-www-form-urlencoded
order_id
required
string

The Invoice Number of the order Multi change parameter format: changes[n][order_id]

order_line_id
number

The line item id of the line item getting changed. If missing the whole order will be changed. Multi change parameter format: changes[n][order_line_id]

workflow_item_id
number

The workflow item id of the workflow item getting changed. If missing the whole line item will be changed. Multi change parameter format: changes[n][workflow_item_id]

qty
number

The qty of the change. If you specify a qty, you must also specify a workflow_item_id. If missing the qty will be the outstanding qty for that item. Multi change parameter format: changes[n][qty]

new_status
required
number
Enum: 2 3

The status to change the order/line item to. Multi change parameter format: changes[n][new_status] Members 2 = Produced 3 = Shipped

contact_customer
boolean
Default: false

Contact the customer letting them know of the status change. This will only happen if the whole order is moved status. Multi change parameter format: changes[n][contact_customer]

shipping_code
string

The Shipping Tracking Number to assign if marking as shipped. Multi change parameter format: changes[n][shipping_tracking_code]

operator_id
number

The id of the operator making the change. If not specified, the operator with the username/password sent will be used. Multi change parameter format: changes[n][operator_id]

operator_login
string

The login of the operator making the change. Can be used if the id of the operator is unknown. Multi change parameter format: changes[n][operator_login]

Responses

Response Schema: application/json
object (ResponseStatus)
code
required
number

the status code

severity
required
string
Enum: "SUCCESS" "ERROR"

either SUCCESS or ERROR

description
string

A description of the error. Blank when SUCCESS

Request samples

Content type
application/x-www-form-urlencoded
order_id=INV1234&new_status=2&contact_customer=false&operator_login=bob123

Response samples

Content type
application/json
{
  • "response_status": {
    • "code": 10001,
    • "severity": "SUCCESS",
    • "description": "string"
    }
}

Add Internal Note

Add an internal note to an order, or to a specific line item on the order. To attach files to the note, first upload each file with Upload File below, then pass the returned ids in attachment_ids.

Request Body schema: application/x-www-form-urlencoded
order_id
required
string

The Invoice Number of the order

order_line_id
number

The line item id to attach the note to. If missing, the note is added to the order rather than a specific line item.

content
required
string

The text content of the internal note

attachment_ids
string

Comma separated list of file ids to attach to the note, as returned by the Upload File endpoint. Optional.

Responses

Response Schema: application/json
object (ResponseStatus)
code
required
number

the status code

severity
required
string
Enum: "SUCCESS" "ERROR"

either SUCCESS or ERROR

description
string

A description of the error. Blank when SUCCESS

object (Note)
note_type
required
string

The type of the note

content
required
string

The content of the note

created_at
required
string

The date/time (ISO-8601 format, UTC timezone) the note was created

required
object (User)
user_id
required
integer

Id of user

email
string

Email address of user

firstname
string

First name of user

lastname
string

Last name of user

country_code
string

2 letter country code

state
string

Name of state

city
string

Name of city

street
string

Name of street

postcode
string

zip/post code

company
string

Company name

company_id
integer

Id of company

salutation
string
ph_number
string

Phone number

Array of objects (CustomField)

An array of custom fields

Array
caption
required
string

The caption of the field

value
string

The value of the field

order_line_id
number

The line item id the note is attached to, if the note was added against a specific line item rather than the whole order

Array of objects
Array
id
number
name
string
url
string

Request samples

Content type
application/x-www-form-urlencoded
Example
order_id=INV1234&content=Held%20for%20QA%20sign-off

Response samples

Content type
application/json
{
  • "response_status": {
    • "code": 10001,
    • "severity": "SUCCESS",
    • "description": ""
    },
  • "note": {}
}

Upload File

Upload a file and get back an id that can be referenced by other API calls which accept attachments (e.g. add_internal_note's attachment_ids). Uploaded files are temporary and only kept until they're attached elsewhere.

Allowed file extensions: gif, jpg, jpeg, png, pdf, txt, csv, doc, docx, xls, xlsx, eps, svg, emb, dst, pes, ai, psd. Maximum file size: 25MB.

Request Body schema: multipart/form-data
username
required
string
password
required
string
file
required
string <binary>

The file to upload

Responses

Response Schema: application/json
object (ResponseStatus)
code
required
number

the status code

severity
required
string
Enum: "SUCCESS" "ERROR"

either SUCCESS or ERROR

description
string

A description of the error. Blank when SUCCESS

id
number

The id of the uploaded file. Reference this id in other API calls that accept attachments (e.g. add_internal_note's attachment_ids).

file_name
string
file_size
number

The size of the uploaded file, in bytes

url
string

Response samples

Content type
application/json
{}